Skip to content

Get non eligible products

GET
/api/v2.0/stores/{storeId}/non-eligible-products
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/non-eligible-products \
--header 'Authorization: Bearer <token>'

Gets a paginated list of non-eligible products.

storeId
required
string

The unique identifier of the store.

Example
your-store-id
offset
integer format: int32

The starting index of the paginated data (must be greater than or equal to 0).

limit
integer format: int32

The number of records per page (must be between 1 and 100).

The paginated list of non-eligible products was successfully retrieved.

Media typeapplication/json
object
data
Array<object>
nullable
object
id
integer format: int32
description
string
nullable
product_id

The external product id that is non eligible

string
nullable
product_id_prefix

Prefix for filtering products with matching product IDs.

string
nullable
product_category_id

The product category id that identifies all related products as non eligible

string
nullable
subsystem
string
nullable
expires_at
string
nullable
total_records
integer format: int32
offset
integer format: int32
limit
integer format: int32
Examplegenerated
{
"data": [
{
"id": 1,
"description": "example",
"product_id": "example",
"product_id_prefix": "example",
"product_category_id": "example",
"subsystem": "example",
"expires_at": "example"
}
],
"total_records": 1,
"offset": 1,
"limit": 1
}

Throws an exception if ‘offset’ is less than 0.

Throws an exception if ‘limit’ is less than or equal to 0 or greater than 100.

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}